org.eclipse.microprofile.rest.client.tck.cditests

## Class HasAppScopeTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.rest.client.tck.cditests.HasAppScopeTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class HasAppScopeTest
    extends org.jboss.arquillian.testng.Arquillian

This test verifies that you can configure a bean of ApplicationScoped, as well as have the scope on an interface.

### Nested Class Summary

Nested Classes
`static interface` `HasAppScopeTest.MyAppScopedApi`

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`HasAppScopeTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `testHasApplicationScoped()`
`void` `testHasApplicationScopedFromConfigKey()`
`void` `testHasApplicationScopedWhenAnnotated()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HasAppScopeTest

    public HasAppScopeTest()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### testHasApplicationScoped

    public void testHasApplicationScoped()

#### testHasApplicationScopedFromConfigKey

    public void testHasApplicationScopedFromConfigKey()

#### testHasApplicationScopedWhenAnnotated

    public void testHasApplicationScopedWhenAnnotated()